Listar tickets

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
GET /ticketapi/1.0/api/v1/tickets

Listar tickets.

Query parameters

  • page integer Required

    Número da página (inicia em 0)

  • size integer Required

    Quantidade de itens por página

  • status string

    Filtro por status (ex: OPEN, CLOSED)

Responses

  • 200 application/json

    Requisição processada com sucesso. Retorna os dados correspondentes ao filtro informado.

    Hide response attributes Show response attributes object
    • status string
    • message string
    • data object
      Hide data attributes Show data attributes object
      • totalElements number
      • totalPages number
      • content array[object]
        Hide content attributes Show content attributes object
        • id number
        • title string
        • description string
        • status string
        • priority string
        • projectId number
  • 401 application/json

    Token de autenticação ausente ou inválido. Envie o header Authorization: Bearer {token}.

    Hide response attribute Show response attribute object
    • status string
  • 403 application/json

    Acesso negado. O token informado não possui permissão para este recurso.

    Hide response attribute Show response attribute object
    • status string
GET /ticketapi/1.0/api/v1/tickets
curl \
 --request GET 'https://api.neppo.com.br/ticketapi/1.0/api/v1/tickets?page=42&size=42' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "status": "SUCCESS",
  "message": "Tickets recuperados com sucesso",
  "data": {
    "totalElements": 45,
    "totalPages": 5,
    "content": [
      {
        "id": 101,
        "title": "Erro no login da plataforma",
        "description": "Usuário não consegue logar pelo app de iOS.",
        "status": "OPEN",
        "priority": "HIGH",
        "projectId": 2
      }
    ]
  }
}
Response examples (401)
{
  "status": "Unauthorized"
}
Response examples (403)
{
  "status": "Forbidden"
}